/*
	mybasename.c

	Copyright (c) 2002,2003 Thomas J Pinkl <tom@pinkl.com>

	Returns the last portion of a complete pathname.

	This file uses 4 character tabstops.

	Version 1.02	11/18/1994
	Version 1.03	05/04/1999		Under Linux, call this function mybasename()
*/

#include <string.h>

char *mybasename(char *path)
{
	char *p;							/* gp char ptr */

	p = path + (strlen(path) - 1);		/* point to end of path */

	/* 
		working backwards from the end of the buffer,
		find the directory separator character, '/',
		and point to the character after it.
	*/
	while ((*p != '/') && (p != path))	/* find '/' or start of pathname */
		p--;
	if (*p == '/') ++p;
	return(p);
}
