/*
	trimz.c

	Copyright (c) 2002,2003 Thomas J Pinkl <tom@pinkl.com>

	Trims trailing blanks from a string by placing a null after 
	the last non-blank character in string.  Returns a pointer 
	to string.

	This file uses 4 character tabstops.
*/

#include <string.h>
#include <ctype.h>

char *trimz(char *s)
{
	char *p;							/* gp char ptr */
	int len;

	len = strlen(s);
	if (len < 1)
		return(s);						/* empty string */

	p = s + (len - 1);					/* point to end of string */
	while ((isspace(*p)) && (len > 0)) {
		--p;
		--len;
	}
	++p;
	*p = '\0';
	return(s);
}
